#ifndef TMCONFIGUREMOOD_H
#define TMCONFIGUREMOOD_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButton.h>
#include <TGComboBox.h>
#include <TGNumberEntry.h>
#include <TGLabel.h>

class TMConfigureMood : public TGTransientFrame {

  RQ_OBJECT("TMConfigureMood")

  public :

  TMConfigureMood(const TGWindow *p, const TGWindow *main);
  virtual ~TMConfigureMood();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private :

  TGGroupFrame	        *fGroup, *fSearch, *fInconsistent;
  TGNumberEntry		*fNumber[12];
  TGCompositeFrame	*fF[12];
  TGLabel		*fLabel[12], *fLabelIn[12];
  TGTextEntry		*fText[4];
  TGPictureButton	*fButton[4];
  TGTextButton          *fTextB[4];
  TGComboBox		*fCombo;
  TGCheckButton         *fCheck[10];
  TGCompositeFrame	*fComposit[10];
  TGLayoutHints		*fLa, *fLb, *fLc, *fLd, *fLe;
  Bool_t                fLetUserCloseWindow;

  enum EEvents {
    CONF_LOG,
    CONF_CONF,
    CONF_OPEN,
    CONF_OPEN2,
    CONF_APPLY,
    CONF_CLOSE,
    CONF_HELP,
    C_LDC,
    C_GDC,
    C_NON,
    C_COMBO
  };

  ClassDef(TMConfigureMood, 1);
};

#endif
